# Makefile to build a latex document
# By default it is not build if the document class changes (performance reason)
# use "make build_latex BUILD_DOCUMENTCLASS=true" to add the document class as dependency
# currently when an image in the document class is changed, it will not be rebuild. There 
# something else must be change to trigger building

# set this variables only if they where not set by something else
build_dir ?= build
main_document ?= document
latex_exec ?= lualatex
#latex_exec ?= pdflatex
latex_repetitions ?= 1

this_file_dir := $(dir $(lastword $(MAKEFILE_LIST)))

# This must be before the includes, otherwise the includes are build and then
# the pdf generation will not be done anymore
# the first target is executed, if make was called without any arguments
build_latex: $(build_dir)/$(main_document).pdf

# This does not work yet with texstudio. For some reason then it
# is anymore possitble to right click and "jump to source"
# Probably because then also the other helper files are searched in
# the folder . and they are not found and it will not be looked into
# the build folder anymore
#$(main_document).pdf: $(build_dir)/$(main_document).pdf
#	cp $(build_dir)/$(main_document).pdf .

# all the includes will fill in "exported_files" there generated files into the exported_files variable
include $(this_file_dir)/buildDrawIO.mk

# check document class dependencies only if defined (to speed up compilation, because then not two wildcards must be checked)
$(build_dir)/$(main_document).pdf: $(exported_files) $(main_document).tex $(if $(BUILD_DOCUMENTCLASS), $(wildcard $(TEXMFHOME)/tex/latex/*.cls) $(wildcard $(TEXMFHOME)/tex/latex/*.tex))
    # export TEXMFHOME=./texmf/ pdflatex $(main_document).tex
	mkdir -p $(build_dir)
	number=1 ; while [[ $$number -le $(latex_repetitions) ]] ; do\
		$(latex_exec) -synctex=1 -interaction=nonstopmode -output-directory=$(build_dir) $(main_document).tex; \
		((number = number + 1)) ; \
	done

# warning: ignoring old recipe for target 'clean' if no double : (::) is used!	
clean::
	rm -r -f $(build_dir)

.PHONY: clean build_latex
